import request from '@/utils/request'

// 查询priceindex列表
export function listPriceindex(query) {
  return request({
    url: '/priceindex/priceindex/list',
    method: 'get',
    params: query
  })
}

// 查询priceindex详细
export function getPriceindex(id) {
  return request({
    url: '/priceindex/priceindex/' + id,
    method: 'get'
  })
}

// 新增priceindex
export function addPriceindex(data) {
  return request({
    url: '/priceindex/priceindex',
    method: 'post',
    data: data
  })
}

// 修改priceindex
export function updatePriceindex(data) {
  return request({
    url: '/priceindex/priceindex',
    method: 'put',
    data: data
  })
}

// 删除priceindex
export function delPriceindex(id) {
  return request({
    url: '/priceindex/priceindex/' + id,
    method: 'delete'
  })
}
